local FC = ...

local function wEvent ()
	if FCconfig["main"]["welcomeEvent"] == true then return "WELCOME_EVENT" end
end

local function rQuest ()
	if FCconfig["main"]["addResourceQuest"] == true then return {QuestResource = "INFINITE_RESOURCES_QUEST", Delay = 0} end
end

FC:override({
	Id = "DEFAULT_BALANCING",
	VillagerCountPerImmigrationWave = FCconfig["profile"]["balancing"]["migration"]["immigrationWave"],
	DayDurationInSeconds = FCconfig["profile"]["balancing"]["dayDuration"],
	InitialFamilyCount = FCconfig["profile"]["balancing"]["startingFamilies"],
	MinimumHappinessForLeaving = FCconfig["profile"]["balancing"]["migration"]["minHappiness"],
	BuildingProgressList = {"BUILDING_PROGRESS_LIST_DEFAULT","FC_BUILDING_PROGRESS_LIST"},
	VillagerStatusQuota = "VILLAGER_STATUS_QUOTA_DEFAULT", --FCconfig["balancing"]["VillagerStatusQuota"],
	TerritoryPrice = FCconfig["profile"]["balancing"]["territoryPrice"],
	TerritoryRoyalTaxesList = FCconfig["profile"]["balancing"]["territoryTaxes"],
	StartingTileResourceRequirement = FCconfig["profile"]["balancing"]["startingTileRequirement"],
	TradingVillageList = "VILLAGE_LIST_DEFAULT",
	DaysBetweenEvents = FCconfig["profile"]["balancing"]["daysBetweenEvents"],
	DaysToFirstEvent = FCconfig["profile"]["balancing"]["daysToFirstEvent"],
	InitialGoldCapacity = FCconfig["profile"]["balancing"]["goldCapacity"],
	TreeGrowSpeed = FCconfig["profile"]["balancing"]["treeGrowSpeed"],
	TreeInitialScale = FCconfig["profile"]["balancing"]["initialTreeSize"],
	TreeMinimumScaleToGather = FCconfig["profile"]["balancing"]["minSizeToGather"],
	TreeMinimumScaleForHunt = FCconfig["profile"]["balancing"]["minSizeToHunt"],
	TreeFertilityImpactHardRadius = FCconfig["profile"]["balancing"]["fertilityImpactHardRadius"],
	TreeFertilityImpactSoftRadius = FCconfig["profile"]["balancing"]["fertilityImpactSoftRadius"],
	TreeFertilityImpact = FCconfig["profile"]["balancing"]["fertilityImpact"],
	DelayedQuestList={Action = "APPEND", rQuest()}, --FCconfig["balancing"]["DelayedQuestList"],
	EventList = {Action = "APPEND", wEvent()}
})

if FCconfig["profile"]["balancing"]["migration"]["noImmigrationFactors"] == true then
	FC:override({
		Id = "DEFAULT_BALANCING",
		ImmigrationFactorList = {}
	})
end

if (FCconfig["profile"]["buildings"]["BUILDING_HOUSE_LVL1_UNEXPOSED"]["freeHouses"])then
FC:override({
	Id = "DEFAULT_BALANCING",
	BuildingCostOverrideList = {"FC_BUILDING_PART_COST_LIST"},
})
else
FC:override({
	Id = "DEFAULT_BALANCING",
	BuildingCostOverrideList = {Action = "APPEND","BUILDING_PART_COST_LIST_DEFAULT_RUSTIC_CHURCH","BUILDING_PART_COST_LIST_DEFAULT_LORD_MANOR","BUILDING_PART_COST_LIST_DEFAULT_KEEP","BUILDING_PART_COST_LIST_DEFAULT_CHURCH","BUILDING_PART_COST_LIST_DEFAULT","FC_BUILDING_PART_COST_LIST"},
})
end